Subject: RE: [Sipping] draft-ietf-sipping-dialog-package-04.txt

From: "Francois Audet" <[email-masked]>
Date: Wed, 10 Mar 2004 16:21:41 -0800

Another issue in 6.1:

It looks like both dialogs in the same session are using the same dialog
id. Second dialog should be changed to something else.

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of
Audet, Francois [SC100:9T51:EXCH]
Sent: Wednesday, March 10, 2004 15:38
To: 'Rohan Mahy'; 'sipping'
Cc: 'Jonathan ROSENBERG ([email-masked])'; 'Henning Schulzrinne'
Subject: [Sipping] draft-ietf-sipping-dialog-package-04.txt

Rohan, Jonathan, Henning, 
In the example of 6.1 of draft-ietf-sipping-dialog-package-04.txt, I 
believe that there is a mistake. 
The first dialog (remote-tag=456887766) is established with the first 
180. Moves into early state. First dialog is shown in XML. 
The second dialog (remote-tag=hh76a) is then established with the second 
180. Moves into early state. Both first dialog and second dialog are shown 
in XML. 
Second dialog (remote-tag=hh76a) then moves in the confirmed state upon 
arrival of 200. Only second dialog is shown in XML (Is there any reason why 
you dropped the first dialog from the XML?). 
32 second later, the "other dialog" (it should say first dialog for clarity)

terminates. Text shows the "cancelled" dialog of the first dialog, but uses 
the tag of the second dialog instead (remote-tag=hh76a). I believe 
it should be remote-tag=456887766. 
Or am I misinterpreting something?